package com.ti.mobpo

import androidx.compose.material3.Surface
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.tooling.preview.Preview
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.navigation
import androidx.navigation.compose.rememberNavController





@Composable
fun Navigation() {
    val navController = rememberNavController()
    var showBackButton by remember { mutableStateOf(false) }

    NavHost(navController = navController, startDestination = "Home"){
        navigation(startDestination = Screen.PokeSearch.route, route = "Home"){
            composable(route = Screen.PokeSearch.route) {
                TopBar(navController = navController, showBackButton)
                PokeSearch(navController = navController) {
                    showBackButton = true
                }
            }
        }
    }
}

@Preview(showBackground = true)
@Composable
fun NavigationPreview() {
    val navController = rememberNavController()
    Surface {
        TopBar(navController = navController, false)
        PokeSearch(navController = navController){}
    }
}